%define realname extractor

%define major 3
%define common_major 0
%define libname %mklibname %{realname} %{major}
%define libcommon %mklibname extractor_common %{common_major}
%define libnamedev %mklibname %{realname} -d

Summary:	Libextractor library used to extract meta-data from files
Name:		libextractor
Version:	0.6.3
Release:	1
License:	BSD
Group:		System/Libraries
URL:		http://www.gnunet.org/libextractor/
Source0:	http://ftpmirror.gnu.org/libextractor/%{name}-%{version}.tar.gz
Patch0:		libextractor-0.6.2-rpm5.patch
Conflicts:	%{mklibname extractor 1} < 0.5.19a-2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libflac-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgsf-devel
BuildRequires:	libexiv-devel
BuildRequires:	librpm-devel
BuildRequires:	gettext-devel

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	%{libname}
Summary:	Libextractor library used to extract meta-data from files 
Group:		System/Libraries
Conflicts:	%{mklibname -d extractor 1} < 0.5.19a-2

%description -n	%{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	%{libcommon}
Summary:        Libextractor library for common functions
Group:          System/Libraries

%description -n	%{libcommon}
Common function library of libextractor.

%package -n	%{libnamedev}
Summary:	Libextractor library headers and development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcommon} = %{version}-%{release}
Provides:	libextractor-devel = %{version}-%{release}
Provides:	extractor-devel = %{version}-%{release}
Obsoletes:	%mklibname -d extractor 1

%description -n	%{libnamedev}
Development files and headers for libextractor.

%prep
%setup -q 
%patch0 -p1 -b .rpm5~
autoreconf -fi

%build
%configure2_5x \
	--disable-rpath \
	--enable-exiv2 \
	--disable-ffmpeg \
	--with-plugindirname=%{name}%{major}

make

%install
%makeinstall_std

find %{buildroot} -name *.la -delete

%find_lang %{name}

%post
%_install_info extractor

%preun
%_remove_install_info extractor

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_infodir}/extractor.info.*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}%{major}

%files -n %{libcommon}
%{_libdir}/%{name}_common.so.%{common_major}*

%files -n %{libnamedev}
%{_libdir}/%{name}.so
%{_libdir}/%{name}_common.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Wed Feb 29 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.6.3-1
+ Revision: 781401
- version update 0.6.3

* Tue Feb 21 2012 Jon Dill <dillj@mandriva.org> 0.6.2-7
+ Revision: 778800
- rebuild against new version of libffi4

* Wed Nov 02 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-6
+ Revision: 712273
- rebuild against new rpm 5.4
- clean out legacy junk

* Sun Jan 09 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-5mdv2011.0
+ Revision: 630786
- rpm5 rebuild for contrib/release

* Wed Dec 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-4mdv2011.0
+ Revision: 616386
- ditch scriptlets for ancient releases
- add rpm5 support (P0)

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.6.2-3mdv2011.0
+ Revision: 609592
- rebuild for new exiv2

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2011.0
+ Revision: 565567
- rebuild for new exiv2

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 565309
- new version 0.6.2

* Mon Mar 15 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 519123
- new version 0.6.1

* Sat Feb 20 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 508836
- update to new version 0.6.0

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.23-2mdv2010.1
+ Revision: 484250
- Rebuild for new libexiv2

* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.23-1mdv2010.0
+ Revision: 392681
- Update to new version 0.5.23
- Re-enable rpm plug-in: it supports up to librpm 4.7 now
- Enable new libexiv2 plug-in
- Run autoreconf to fix linking of rpm plug-in

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.5.22-1mdv2009.1
+ Revision: 359875
- add libextractor_common0 subpackage
- add major to plugins directory to satisfy library policy
- do not require tool binary in library package
- disable rpm support, does not build with rpm-4.6

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 0.5.22
    - pass -lgthread-2.0 to the compiler

* Mon Nov 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-1mdv2009.1
+ Revision: 299605
- update to new version 0.5.21
- add buildrequires on librpm-devel
- enable exiv2 support

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 0.5.20c-1mdv2009.0
+ Revision: 234447
- update to new version 0.5.20c

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.20b-1mdv2009.0
+ Revision: 209099
- new version

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.20a-1mdv2009.0
+ Revision: 195342
- new version
- add missing build requires on: libvorbis-devel libmpeg2dec-devel libflac-devel glib-devel gtk+2-devel libgsf-devel
- nuke rpath
- fix descriptions
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 0.5.19a-2mdv2008.1
+ Revision: 159628
- fix package layout
- update to new version 0.5.19a

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.5.18a-3mdv2008.1
+ Revision: 109222
- rebuild for new lzma

* Mon Nov 05 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-2mdv2008.1
+ Revision: 106009
- fix files list (#30265)

* Tue Aug 14 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5.18a-1mdv2008.0
+ Revision: 63434
- new version

* Fri May 04 2007 Lenny Cartier <lenny@mandriva.org> 0.5.18-1mdv2008.0
+ Revision: 22556
- Buildrequires libltdl-devel (Bug #29425)

